Bug 803289 - Uncaught Exception in message log after releasing assigned task
Uncaught Exception in message log after releasing assigned task
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM Console (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity high
: ER6
: BRMS 5.3.0.GA
Assigned To: Maciej Swiderski
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 07:38 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
message log from jbpm console (10.82 KB, text/plain)
2012-03-14 07:38 EDT, Zuzana Krejčová
no flags Details

  None (edit)
Description Zuzana Krejčová 2012-03-14 07:38:42 EDT
Created attachment 569966 [details]
message log from jbpm console

Description of problem:
[FATAL] Uncaught Exception:
com.google.gwt.core.client.JavaScriptException:
(TypeError): a is undefined
is logged to the message log in the jBPM Console, after a user releases a task assigned to him.

It shouldn't result in an exception (or it shouldn't be possible to release a task directly assigned to a user at all).


Version-Release number of selected component (if applicable):
BRMS 5.3.0 ER4


Additional info:
Find attached the Message log. All I did was: log into the console as krisv, start Evaluation process, type krisv and some reason into the form and submit. Then go to Personal tasks and release the self evaluation task. That's when the exception happens. After that, go to Group tasks and re-claim it, complete it.
The task couldn't be claimed by anyone else - other users don't see it in their group tasks.
Comment 1 Maciej Swiderski 2012-04-02 12:57:12 EDT
Exception is caused by reloading both current user and groups task list while group task list tool is not yet available. Pull request available that reloads only user tasks since this is what user is working on while releasing tasks.

pull request available at: https://github.com/bpmc/bpm-console/pull/11

Note: this is a combined pull request for changes to the console regarding skip task.
Comment 2 Ryan Zhang 2012-04-23 03:36:47 EDT
Update status to ON_QA. Please verify them against ER6.

Note You need to log in before you can comment on or make changes to this bug.